# Interface HandResult

Hand results

interface HandResult {
annotations : Record< Finger , Point []>;
box : Box ;
boxRaw : Box ;
boxScore : number;
fingerScore : number;
id : number;
keypoints : Point [];
label : HandType ;
landmarks : Record< Finger , { curl: FingerCurl ; direction: FingerDirection }>;
score : number;
}

- Defined in src/result.ts:127

##### Index

### Properties

annotations
box
boxRaw
boxScore
fingerScore
id
keypoints
label
landmarks
score

## Properties

### annotations

annotations: Record< Finger , Point []>

detected hand keypoints combined into annotated parts

- Defined in src/result.ts:145

### box

box: Box

detected hand box

- Defined in src/result.ts:137

### boxRaw

boxRaw: Box

detected hand box normalized to 0..1

- Defined in src/result.ts:139

### boxScore

boxScore: number

hand detection score

- Defined in src/result.ts:133

### fingerScore

fingerScore: number

hand skelton score

- Defined in src/result.ts:135

### id

id: number

hand id

- Defined in src/result.ts:129

### keypoints

keypoints: Point []

detected hand keypoints

- Defined in src/result.ts:141

### label

label: HandType

detected hand class

- Defined in src/result.ts:143

### landmarks

landmarks: Record< Finger , { curl: FingerCurl ; direction: FingerDirection }>

detected hand parts annotated with part gestures

- Defined in src/result.ts:147

### score

score: number

hand overal score

- Defined in src/result.ts:131